[Addon] Microsoft .NET Framework Family 3.5 SP1 - 20131008

Discuss & post Update Pack addons here.
Post Reply
ccl0
Posts: 817
Joined: Tue Jan 02, 2007 1:56 am

Post by ccl0 » Mon Aug 03, 2009 5:36 pm

you can get a true 1.1 addon elsewhere http://www.ryanvm.net/forum/viewtopic.p ... hlight=net
besides, its so old people probably don't even use 1.1 anymore. so by not including it, it saves space in the one user_hidden made

User avatar
laddanator
Posts: 131
Joined: Thu Jan 17, 2008 9:26 pm
Location: virginia

KB973923

Post by laddanator » Thu Aug 13, 2009 6:39 pm

Yes I am getting update kb973923 c++ service pack 1 update is c++ part of this addon think it would have to be because of the netframe work stuff the date on the update shows July o9
"I'LL BE BACK"

User avatar
user_hidden
Posts: 1924
Joined: Thu Dec 06, 2007 7:52 am
Location: Canada eh!

Re: KB973923

Post by user_hidden » Thu Aug 13, 2009 9:52 pm

laddanator wrote:Yes I am getting update kb973923 c++ service pack 1 update is c++ part of this addon think it would have to be because of the netframe work stuff the date on the update shows July o9
Update for Microsoft Visual C++ 2005 Service Pack 1 Redistributable Package: July 28, 2009

you must have the Visual C++ runtime installed by another pack or addon
that is triggering the update. it has nothing to do with the .Net 3.5 family.

User avatar
laddanator
Posts: 131
Joined: Thu Jan 17, 2008 9:26 pm
Location: virginia

C++

Post by laddanator » Fri Aug 14, 2009 2:41 pm

user_hidden wrote
Update for Microsoft Visual C++ 2005 Service Pack 1 Redistributable Package: July 28, 2009

you must have the Visual C++ runtime installed by another pack or addon
that is triggering the update. it has nothing to do with the .Net 3.5 family.
Sorry I was thinking c++ was part of this addon after I do a new install
Microsoft Visual C++ 2005 shows up in add or remove and I am not using any visual addon so just asumed it was in yours, must be onepeice's net 1.1 true addon.

Also sorry if I missed this why is it when I install ATI drivers it will install net 2.0 does ATI software not seeing that this already installed...I use your addon on every install so I know 2.0 is already installed
"I'LL BE BACK"

User avatar
user_hidden
Posts: 1924
Joined: Thu Dec 06, 2007 7:52 am
Location: Canada eh!

Re: C++

Post by user_hidden » Fri Aug 14, 2009 5:32 pm

laddanator wrote: Sorry I was thinking c++ was part of this addon after I do a new install
Microsoft Visual C++ 2005 shows up in add or remove and I am not using any visual addon so just asumed it was in yours, must be onepeice's net 1.1 true addon.

Also sorry if I missed this why is it when I install ATI drivers it will install net 2.0 does ATI software not seeing that this already installed...I use your addon on every install so I know 2.0 is already installed
the ATI driver installer is probably in error. you can try and unpack the ATI driver installer and have it omit the .net install completely.

the VC++ MU nag you are getting has nothing to do with Onepiece net 1.1 either.

User avatar
laddanator
Posts: 131
Joined: Thu Jan 17, 2008 9:26 pm
Location: virginia

Post by laddanator » Fri Aug 14, 2009 8:40 pm

the VC++ MU nag you are getting has nothing to do with Onepiece net 1.1 either.
Thats weird something I am using is installing C++ that is not part of winsows is it, been so long since I used a regular disc. I dont mind the install because I use it but I wonder how it is being installed I dont use any visual addon stuff. I did use codes65536 runtime addon today just to see if it would install that update but before today I have never used a runtime addon and c++ shows up in add or remove
"I'LL BE BACK"

User avatar
Pasha_ZZZ
Posts: 242
Joined: Thu Jul 13, 2006 6:27 am
Location: Russia, Slobodskoy

Re: C++

Post by Pasha_ZZZ » Sat Aug 15, 2009 2:09 am

laddanator wrote:when I install ATI drivers it will install net 2.0 does ATI software not seeing that this already installed...
Yes, it is ATI error, but you can choose installation mode = Custom & remove .NET 2.0 check mark from the installation list.

User avatar
mr_smartepants
Posts: 824
Joined: Thu May 18, 2006 5:56 am
Location: Cambridgeshire, UK

Post by mr_smartepants » Sat Aug 15, 2009 2:24 am

Yes, but the ATI driver installer should see that .NET 2 is already installed. I wonder if it's looking for a specific reg entry or file that's not present with this .net AIO installer.
Image
Some heroes don't wear capes, they wear Kevlar and dog-tags!

User avatar
laddanator
Posts: 131
Joined: Thu Jan 17, 2008 9:26 pm
Location: virginia

ATI

Post by laddanator » Sat Aug 15, 2009 8:46 am

mr_smartepants wrote
Yes, but the ATI driver installer should see that .NET 2 is already installed. I wonder if it's looking for a specific reg entry or file that's not present with this .net AIO installer.
I have tested this a 100 times with the ATI driver and it always installs the net 2.0 over top of the already installed 2.0 thats in this addon, not sure why the ATI driver doesnt see that 2.0 is already installed...I have been going through the regs looking for clues its weird...doesnt hurt anything just weird. This is still the best net addon...the ATI thing so far is a minor issue but maybe I can find out why kinda thing
"I'LL BE BACK"

User avatar
user_hidden
Posts: 1924
Joined: Thu Dec 06, 2007 7:52 am
Location: Canada eh!

Post by user_hidden » Sat Aug 15, 2009 3:02 pm

.net 2.0 is installed correctly with all of the reg entries by it's native installer.

to check if the .net package is installed on your system there is a tool
posted on Aaron Stebner's WebLog

here is the link: .NET Framework Setup Verification Tool

User avatar
mr_smartepants
Posts: 824
Joined: Thu May 18, 2006 5:56 am
Location: Cambridgeshire, UK

Post by mr_smartepants » Sat Aug 15, 2009 3:28 pm

Must be ATI. Their drivers are created by teams of semi-trained monkeys! ;)
Image
Some heroes don't wear capes, they wear Kevlar and dog-tags!

biatche
I can't read
Posts: 326
Joined: Thu May 04, 2006 2:49 am

Post by biatche » Tue Aug 18, 2009 9:53 pm

http://www.microsoft.com/downloads/deta ... b#filelist

please include this. in firefox 3.5, its shown as not compatible.

User avatar
user_hidden
Posts: 1924
Joined: Thu Dec 06, 2007 7:52 am
Location: Canada eh!

Post by user_hidden » Wed Aug 19, 2009 7:45 am

biatche wrote:http://www.microsoft.com/downloads/deta ... b#filelist

please include this. in firefox 3.5, its shown as not compatible.
see 1st post !

use 1.01 and add it yourself if you use firefox.
use 1.02.1 if you do not have firefox to supress the MU nag.

ccl0
Posts: 817
Joined: Tue Jan 02, 2007 1:56 am

Post by ccl0 » Wed Aug 19, 2009 5:37 pm

user_hidden wrote:
biatche wrote:http://www.microsoft.com/downloads/deta ... b#filelist

please include this. in firefox 3.5, its shown as not compatible.
see 1st post !

use 1.01 and add it yourself if you use firefox.
use 1.02.1 if you do not have firefox to supress the MU nag.
"Important: This fix requires that .NET Framework 3.5 SP1 be installed before it can be applied"

how exactly do we add it if 3.5 is suppose to be installed first

biatche
I can't read
Posts: 326
Joined: Thu May 04, 2006 2:49 am

Post by biatche » Wed Aug 19, 2009 8:35 pm

Upon googling, I found that its actually a kinda spyware, so instead of installing it, i went ahead googling how to remove it. done.

ccl0
Posts: 817
Joined: Tue Jan 02, 2007 1:56 am

Post by ccl0 » Fri Aug 21, 2009 4:19 am

.net framework assist 1.0 is not compatible with firefox 3.5.2
so i guess it isnt worth bothering with.. but i assume it would get updated eventually

Newbie_Phil
Posts: 1
Joined: Wed Jul 22, 2009 5:23 pm

Totally a newbie and learning this stuff - Help, PLEASE!!!

Post by Newbie_Phil » Thu Aug 27, 2009 5:47 pm

I've got my head wrapped around using nLite, and have figured out what an add-on is, and how to incorporate it to nLite (long story short - I inherited a position of creating a Windows XP SP3 slipstream job because colleague was fired, and he didn't document, yada yada yada, but I digress).
Now, the only thing that appears to be an issue is how to incorporate DotNET in.
I've read through this thread a couple of times, and am getting lost.
What I like to know is:
1). Can user_hidden's DotNet file be slipstreamed into nLite, or does it have to be run after the image has already been installed on a workstation? (I'm thinking the latter).
2). Is there a DotNet 3.5 add-on (with or without SP1) for nLite that exists and installs with no issues?
3). If 2). does exist, may you point me to where that files exists?

Thank you very much for all your support, hard work, and assistance.
It's much appreciated, people!

User avatar
Pasha_ZZZ
Posts: 242
Joined: Thu Jul 13, 2006 6:27 am
Location: Russia, Slobodskoy

Re: Totally a newbie and learning this stuff - Help, PLEASE!!!

Post by Pasha_ZZZ » Fri Aug 28, 2009 1:54 am

Newbie_Phil wrote:1). Can user_hidden's DotNet file be slipstreamed into nLite, or does it have to be run after the image has already been installed on a workstation? (I'm thinking the latter).
user_hidden wrote:Addon for RVMi 1.6 or higher.
Newbie_Phil wrote:2). Is there a DotNet 3.5 add-on (with or without SP1) for nLite that exists and installs with no issues?
user_hidden wrote:includes:
dotNet Framework 2.0 SP2 + MSXML6 SP2 (KB954459) + KB958481
dotNet Framework 3.0 SP2 + KB958483
dotNet Framework 3.5 SP1 + KB953595 + KB958484
KB951847
KB959209
KB961118
KB971314
If you need .NET 1.1 too, you may integrate Onepiece .NET 1.1 SP1 TRUE addon for WinXP (or use Onepiece XP Post-SP3 AIO Update Pack)
Last edited by Pasha_ZZZ on Fri Aug 28, 2009 2:01 am, edited 2 times in total.

User avatar
mr_smartepants
Posts: 824
Joined: Thu May 18, 2006 5:56 am
Location: Cambridgeshire, UK

Post by mr_smartepants » Fri Aug 28, 2009 2:00 am

If you're using nlite as part of a business, then IIRC the nlite EULA doesn't allow that.
I don't use nlite anymore, so I can't remember. RVMI supports direct integration of svcpack-compatible switchless installers (not this one). But you can add this installer manually via cmdlines.txt.
Read through the tutorial at MSFN. It's pretty comprehensive.
Image
Some heroes don't wear capes, they wear Kevlar and dog-tags!

ccl0
Posts: 817
Joined: Tue Jan 02, 2007 1:56 am

Post by ccl0 » Fri Aug 28, 2009 6:27 am

you are correct mr_smartepants. nlite forbids the use of it for commercial applications. here is a good example why http://www.msfn.org/board/index.php?s=& ... t&p=727456

yumeyao
Moderator
Posts: 1718
Joined: Sun Aug 27, 2006 9:24 pm
Location: Taiyuan, Shanxi, PR China

Post by yumeyao » Fri Aug 28, 2009 6:48 am

just out of curious, what does WaitNET.exe do?
Image
My work list(Hosted by dumpydooby)

User avatar
user_hidden
Posts: 1924
Joined: Thu Dec 06, 2007 7:52 am
Location: Canada eh!

Post by user_hidden » Fri Aug 28, 2009 7:51 am

yumeyao wrote:just out of curious, what does WaitNET.exe do?

http://www.doitrightconsulting.net/foru ... ?f=3&t=517

yumeyao
Moderator
Posts: 1718
Joined: Sun Aug 27, 2006 9:24 pm
Location: Taiyuan, Shanxi, PR China

Post by yumeyao » Sun Aug 30, 2009 12:34 am

thanks for it.

I have created a smaller install package using the method i introduced here.

When I was making for a release version, I did some extra steps:
  • removed VC8/VC9 runtimes. Kel's Runtimes or code65536's M$ Runtimes is better solution for you.
  • KB955450 replaced with KB971276. KB955450 is XPS printer in .NET 3.0. I also did some trick to make it installable on both xp and 2k3.
  • KB961118 removed, it's junk. If you have read through KB971314, you'll know the reason.
  • KB971314 removed, plz use an update pack containing it. It can be integrated seamlessly.
  • WIC's update shell replaced for better compression. I copied spmsg.dll, spuninst.exe, spupdsvc.exe and update.exe, spcustom.dll updspapi.dll from KB971276, as 7z will combine same files.
  • MSXML6 removed, plz use an update pack containing it. for xp sp3, it has MSXML6 natively.
DotNet35SP1_2k3_xpsp2.zip MD5: 89b3d580847e5ee7d38a5a80d5a640d1
DotNet35SP1_2k3_xpsp2.exe MD5: 70a2c345b54b918822b0934fbd162480
Size: 33.4M

Additionaly, WIC is include in XP SP3, so here is an even smaller one with WIC removed.
DotNet35SP1_xpsp3.zip MD5: 02777e20907e7379dbc7b239cd548ddf
DotNet35SP1_xpsp3.exe MD5: 3e3e57dc9424f06b9aae474fb712efc1
Size: 32.8M

----edited-----
@user_hidden
would you include KB971314 in next release of your update pack? if you hesitate whether it can be integrated without .NET, feel free to reply or pm me.
Image
My work list(Hosted by dumpydooby)

User avatar
user_hidden
Posts: 1924
Joined: Thu Dec 06, 2007 7:52 am
Location: Canada eh!

Post by user_hidden » Sun Aug 30, 2009 2:45 pm

yumeyao wrote: @user_hidden
would you include KB971314 in next release of your update pack? if you hesitate whether it can be integrated without .NET, feel free to reply or pm me.
sure i can have the update pack install the update and seperate it from the .net installer.

do you ever sleep :wink:

User avatar
user_hidden
Posts: 1924
Joined: Thu Dec 06, 2007 7:52 am
Location: Canada eh!

Post by user_hidden » Sun Aug 30, 2009 7:18 pm

updated 1.03 20090830 .....

yumeyao
Moderator
Posts: 1718
Joined: Sun Aug 27, 2006 9:24 pm
Location: Taiyuan, Shanxi, PR China

Post by yumeyao » Sun Aug 30, 2009 8:49 pm

user_hidden wrote:sure i can have the update pack install the update and seperate it from the .net installer.

do you ever sleep :wink:
yes i do.

BTW, KB961118 is useless if you have KB971314 integrated. Don't mind since it's a very small file, it doesn't matter at all.
Image
My work list(Hosted by dumpydooby)

ccl0
Posts: 817
Joined: Tue Jan 02, 2007 1:56 am

Post by ccl0 » Thu Sep 10, 2009 2:50 am

biatche wrote:Upon googling, I found that its actually a kinda spyware, so instead of installing it, i went ahead googling how to remove it. done.
yeah i looked into this more b/c i noticed it updated to 1.1
and.. it does not look very popular https://addons.mozilla.org/en-US/firefox/addon/9449

on top of that it does not seem to do much of anything at all..
so i wonder, is it ok to use the one with the nag suppression if we *do* use firefox but dont want that thing installed?

edit: i found this article about it http://www.eventlogblog.com/blog/2009/0 ... istan.html although i've read it, i still have no idea what this click once thing is suppose to do :P

User avatar
user_hidden
Posts: 1924
Joined: Thu Dec 06, 2007 7:52 am
Location: Canada eh!

Post by user_hidden » Thu Sep 10, 2009 7:37 am

@ccl0

i see no problem for you to TRY 103.1 with your firefox install.
do it in a VM and maybe let us know your test.

User avatar
user_hidden
Posts: 1924
Joined: Thu Dec 06, 2007 7:52 am
Location: Canada eh!

Post by user_hidden » Wed Sep 30, 2009 7:12 pm

updated 1.04 20090930 .....

karankon
Posts: 31
Joined: Fri May 08, 2009 10:44 am

Post by karankon » Thu Oct 01, 2009 8:05 am

smaller???

10 mb?

User avatar
user_hidden
Posts: 1924
Joined: Thu Dec 06, 2007 7:52 am
Location: Canada eh!

Post by user_hidden » Thu Oct 01, 2009 5:11 pm

karankon wrote:smaller???

10 mb?

yes using Yumeyao method for admin .net 3.5 makes the package smaller
and using better compression for the release as well.

other than that everything is the same as the 1.03 and 1.03.1 releases.

User avatar
beats
Posts: 772
Joined: Tue Nov 27, 2007 4:11 am
Location: Netherlands

Post by beats » Thu Oct 01, 2009 5:22 pm

Plus: it leaves out some stuff, that's already part of XP/SP3.

User avatar
user_hidden
Posts: 1924
Joined: Thu Dec 06, 2007 7:52 am
Location: Canada eh!

Post by user_hidden » Thu Oct 01, 2009 10:05 pm

beats wrote:Plus: it leaves out some stuff, that's already part of XP/SP3.
they were removed when 1.03 / 1.03.1 were released.
msxml6 is in my post SP3 update pack and WIC is part of SP3.
seems we are all trying to conserve space :P

User avatar
beats
Posts: 772
Joined: Tue Nov 27, 2007 4:11 am
Location: Netherlands

Post by beats » Fri Oct 02, 2009 3:44 am

Which is A Good Thing. ;)

User avatar
user_hidden
Posts: 1924
Joined: Thu Dec 06, 2007 7:52 am
Location: Canada eh!

Post by user_hidden » Mon Oct 05, 2009 9:28 pm

added a LITE version

added a SVCpack addon for dotNet20SP2

cybpsych
Posts: 421
Joined: Wed Jan 12, 2005 2:33 am

Post by cybpsych » Tue Oct 06, 2009 1:23 am

curious: i know some older apps depends on older .net fw.

but how critical will it be if i use the LITE on fresh install? looking at most apps released, all are taking advantage of .net fw 3.x.

imo, this is a good call by user_hidden to release LITE.

cosy
Posts: 278
Joined: Tue Apr 18, 2006 11:56 pm

Post by cosy » Tue Oct 06, 2009 3:09 am

Another question of interest:- can one use both "Roguespear's dotNet20SP2 Multimode Installer packaged into a SVCpack addon which will install at T13 in Passive mode" and "Addon_Microsoft.Net_Family.35SP1_ROE_1.04_ai1.7z "
on a new CD ?
Thank you

User avatar
mr_smartepants
Posts: 824
Joined: Thu May 18, 2006 5:56 am
Location: Cambridgeshire, UK

Post by mr_smartepants » Tue Oct 06, 2009 6:23 am

I installed RogueSpear's Runtimes V3.5.1 (includes .NET 2.0) and your v1.0.4 .NET lite installer. I still get nagged for KB951847 after reboot.
I'm not sure which installer is causing it.
Image
Some heroes don't wear capes, they wear Kevlar and dog-tags!

User avatar
keloo05
Posts: 276
Joined: Mon Jun 26, 2006 10:04 pm
Location: Romania

Post by keloo05 » Tue Oct 06, 2009 7:18 am

Which switch is used by default?

User avatar
user_hidden
Posts: 1924
Joined: Thu Dec 06, 2007 7:52 am
Location: Canada eh!

Post by user_hidden » Tue Oct 06, 2009 7:31 am

cosy wrote:Another question of interest:- can one use both "Roguespear's dotNet20SP2 Multimode Installer packaged into a SVCpack addon which will install at T13 in Passive mode" and "Addon_Microsoft.Net_Family.35SP1_ROE_1.04_ai1.7z "
on a new CD ?
Thank you
No.

the adddon already has dotnet20SP2.
i will release an addon for ROE install of the 30SP235SP1 pack later on.

User avatar
user_hidden
Posts: 1924
Joined: Thu Dec 06, 2007 7:52 am
Location: Canada eh!

Post by user_hidden » Tue Oct 06, 2009 7:32 am

keloo05 wrote:Which switch is used by default?
if using manually the default is /qb

User avatar
user_hidden
Posts: 1924
Joined: Thu Dec 06, 2007 7:52 am
Location: Canada eh!

Post by user_hidden » Tue Oct 06, 2009 8:35 am

mr_smartepants wrote:I installed RogueSpear's Runtimes V3.5.1 (includes .NET 2.0) and your v1.0.4 .NET lite installer. I still get nagged for KB951847 after reboot.
I'm not sure which installer is causing it.

using from first post the 20SP2 addon for svcpack + 30SP235SP1 ROE addon install without any nags.

perhaps a conflict with Roguespear's Runtimes package ?

User avatar
keloo05
Posts: 276
Joined: Mon Jun 26, 2006 10:04 pm
Location: Romania

Post by keloo05 » Tue Oct 06, 2009 8:56 am

I would like to use -ai3 (or -ai2) after pressing the "Yes" button . What do I have to do to be the default option?

User avatar
mr_smartepants
Posts: 824
Joined: Thu May 18, 2006 5:56 am
Location: Cambridgeshire, UK

Post by mr_smartepants » Tue Oct 06, 2009 9:29 am

user_hidden wrote:perhaps a conflict with Roguespear's Runtimes package ?
That's what I'm thinking.
Image
Some heroes don't wear capes, they wear Kevlar and dog-tags!

User avatar
user_hidden
Posts: 1924
Joined: Thu Dec 06, 2007 7:52 am
Location: Canada eh!

Post by user_hidden » Tue Oct 06, 2009 9:35 am

keloo05 wrote:I would like to use -ai3 (or -ai2) after pressing the "Yes" button . What do I have to do to be the default option?

if you would like to run the installer with a switch do as follows:

dotNet35SP1_1.04.exe -ai3
or
dotNet35SP1_1.04.exe -ai2
and so on

dont just run the installer run it with a switch to get the desired install
you are looking at. there are 4 switch possibilities.

User avatar
user_hidden
Posts: 1924
Joined: Thu Dec 06, 2007 7:52 am
Location: Canada eh!

Post by user_hidden » Tue Oct 06, 2009 9:37 am

mr_smartepants wrote:
user_hidden wrote:perhaps a conflict with Roguespear's Runtimes package ?
That's what I'm thinking.
the nag fix is built into the Lite installer so theoretically it should write
the correct reg entries to not nag for the KB unless another addon is
conflicting somehow.

when i have time i'll download and check Rogue's runtmes and see.

Requi3m
Posts: 49
Joined: Tue Sep 15, 2009 1:37 pm

Post by Requi3m » Tue Oct 13, 2009 3:58 pm

a security update for .net framework 2.0 sp2 came out today and it won't install. This will kind of suck if I have to reinstall the framework on all the machines I used this on.

Thanks for what you do though :)

Forgive me if this was fixed in your latest release as I'm about to try that one.

User avatar
compstuff
Posts: 464
Joined: Fri Aug 11, 2006 3:25 pm
Location: Florida

Post by compstuff » Tue Oct 13, 2009 6:00 pm

I'm using 1.03.1 and have the same issue...

User avatar
ricktendo64
Posts: 3213
Joined: Mon May 22, 2006 12:27 am
Location: Honduras

Post by ricktendo64 » Tue Oct 13, 2009 6:08 pm

KB974065 supersedes this update, all you need is a reg fix (I find it really weird the higher unofficial build was compiled a day earlier than the update)

User avatar
compstuff
Posts: 464
Joined: Fri Aug 11, 2006 3:25 pm
Location: Florida

Post by compstuff » Tue Oct 13, 2009 7:31 pm

ricktendo64 wrote:KB974065 supersedes this update, all you need is a reg fix (I find it really weird the higher unofficial build was compiled a day earlier than the update)
Hi Rick... not sure I understand what to do in order to resolve this item...

user_hidden I went to download: dotNet35SP1_1.04.exe but it has been removed

Post Reply